Bug 592526 - upgrade to stable upstream 1.4.4
Summary: upgrade to stable upstream 1.4.4
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: haproxy (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Jeremy Hinegardner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-15 05:28 UTC by Rafael Aquini
Modified: 2010-06-20 23:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-20 23:40:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rafael Aquini 2010-05-15 05:28:11 UTC
Spec URL: http://aquini.tchesoft.com/RPMS/haproxy/haproxy.spec
SRPM URL: http://aquini.tchesoft.com/RPMS/haproxy/haproxy-1.4.4-1.src.rpm
Description: HA-Proxy is a TCP/HTTP reverse proxy which is particularly suited for high availability environments.

This package upgrades haproxy to its latest stable branch (1.4), and it is my first package submitted, so I think I will need a sponsor. I've based this Spec on the former 1.3.23 haproxy.spec maintained by Jeremy Hinegardner. I also did sucessful koji build tests, against targets dist-f12 and dist-5E-epel:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2189035
http://koji.fedoraproject.org/koji/taskinfo?taskID=2189039

Thanks in advance for the reviewers attention on this matter.

Rafael Aquini

Comment 1 Chen Lei 2010-05-15 06:21:34 UTC
You cannot submit a review request for a existing package in fedora. You can seek co-maintainership for this package after you get sponsored.

See 
https://fedoraproject.org/wiki/PackageMaintainers/Join

Comment 2 Rafael Aquini 2010-05-15 16:12:25 UTC
Chen,
Thanks for the valuable guidance on that. I will be working on my homework in order to get sponsorship.
Jeremy, sorry for bother you breaking in your work like that.

Best regards to all

Comment 3 Jeremy Hinegardner 2010-05-16 16:53:43 UTC
I will be updating haproxy to the latest 1.4.5 shortly, and close this bug when that gets pushed.

Comment 4 Rafael Aquini 2010-05-17 13:11:51 UTC
Jeremy,

I did the following update to haproxy, following Willy's suggestions. Please, see if it fits to your standards or if it help your work. I will be at your disposal to fixing it whenever you need.

Cheers

Spec URL: http://aquini.tchesoft.com/RPMS/haproxy/haproxy.spec
SRPM URL: http://aquini.tchesoft.com/RPMS/haproxy/haproxy-1.4.6-1.src.rpm

Comment 5 Jeremy Hinegardner 2010-06-20 23:40:35 UTC
Updated to 1.4.8 in rawhide


Note You need to log in before you can comment on or make changes to this bug.